Subject: Re: bug#20410: 24.5.50; cursor not updated after yank of non-ASCII string from the clipboard

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 27 Apr 2015 12:28:58 +0900

>>>>> On Sun, 26 Apr 2015 18:04:56 +0300, Eli Zaretskii <[email-masked]> said:

>> Yes, it solves the problems as far as I tested.  But because
>> adjust_frame_glyphs are called from many places other than font
>> changes, I wonder if it might disable some cases where some
>> optimizations were applied successfully otherwise (sorry, I don't have
>> any ideas about concrete examples).  Some calls to adjust_frame_glyphs
>> are already accompanied by SET_FRAME_GARBAGED, but not always.

> Hmm... you are right, we could be more selective.  Does the
> alternative patch below work for you?

Yes, this works fine.  Thanks a lot.

The previous one (for src/dispnew.c) caused redraw on another window
on the same frame when I scrolled one window using set-window-vscroll,
which may call adjust_frame_glyphs.  But the current one (for
src/xdisp.c) doesn't have such a problem.

				     YAMAMOTO Mitsuharu
				[email-masked]